// pages/userdetail/index.js
let app = getApp();
import { customRequest } from '../../utils/request.js';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {},
    configInfo: {},
    drawerShow: false,
    teamList: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getTeamList()

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () { },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let that = this;
    if (wx.getStorageSync("configInfo")) {
      this.setData({
        configInfo: { ...wx.getStorageSync("configInfo"), biao: false },
      });
      console.log('configInfo', this.data.configInfo);
    }
    that.copyUpdateToken(()=>{
      console.log('app.globalData.loginUserInfo',app.globalData.loginUserInfo);
      that.setData({
        userInfo: app.globalData.loginUserInfo,
      });
    })

  },
  showToggle () {
    this.setData({
      drawerShow: true
    })
  },
  toogleTeam (e) {
    console.log(e);
    let that = this
    let item = e.currentTarget.dataset.item;
    console.log(item);
    if (wx.getStorageSync("LOGINUSER_ID") == item.id) {
      return false
    }
    wx.showLoading({
      title: '切换中...',
    });
    customRequest(`/yishoudan/agency/group/user/changeGroup/${item.id}`, { header: 'headers', method: 'GET', data: {} }).then((res) => {
      console.log(res);
      if (res.data.status == 200) {
        that.checkToken(item)
        app.getConfigInfo()
        app.getServiceInfo()
        wx.hideLoading();
        wx.showToast({
          title: '切换成功',
          icon: 'success',
          duration: 2000
        })
      } else {
        that.getTeamList()
      }
    })
  },
  getTeamList () {
    let that = this
    customRequest("/yishoudan/agency/group/user/listByUser", { header: 'headers', method: 'GET', data: {} }).then((res) => {
      console.log(res);
      res.data.data.forEach(item => {
        if (item.id == app.globalData.loginUserInfo.user.agencyId) {
          item.checked = true;
        }
      });
      console.log('res.data.data', res.data.data);
      that.setData({
        teamList: res.data.data
      })
    })
  },
  checkToken (_item) {
    let that = this
    wx.setStorageSync("LOGINUSER_ID", _item.id);
    customRequest('/appLoginByToken', { header: 'headers', method: 'GET', data: {} }).then((res) => {
      console.log(res);
      app.globalData.agencyStatus = res.data.data.agencyStatus;
      app.globalData.loginUserInfo = res.data.data;
      wx.setStorageSync("loginUser", res.data.data);
      wx.setStorageSync("LOGINUSER_ID", res.data.data.user.agencyId);
      this.setData({
        drawerShow: false
      })
      that.onLoad()
      that.onShow()

    })
  },
  copyUpdateToken(callback=()=>{}){
    let that = this;
    customRequest('/appLoginByToken', { header: 'headers', method: 'GET', data: {} }).then((res) => {
      console.log(res);
      app.globalData.agencyStatus = res.data.data.agencyStatus;
      app.globalData.loginUserInfo = res.data.data;
      wx.setStorageSync("loginUser", res.data.data);
      wx.setStorageSync("LOGINUSER_ID", res.data.data.user.agencyId);
      this.setData({
        drawerShow: false
      })
      // that.onLoad()
      // that.onShow()
      callback();
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () { },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () { },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () { },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () { },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage1: function () { },
});
